/*
-- ========================================================================== --
-- SUBRECLOC
-- ========================================================================== --
*/
CREATE OR REPLACE VIEW SUBRECLOC(CDFILIAL,CDRECEITA,CDSUBRECLOC,QTRENDSUBLOC,
                                 NRORDSUBLOC,DTVALESPEPRO)
AS
SELECT EP.CDFILIAL,CP.CDPRODUTO,CP.CDPRODINSUMO,CP.QTINSUMO,CP.NRORDCOMP,EP.DTVALESPEPRO
FROM COMPPROD CP, ESPEPROD EP, TCOMPPRO TC, PRODUTO P1, PRODUTO P2
WHERE (CP.CDESPPRODAUX   IS NULL        ) AND
      (EP.CDPRODUTO    = CP.CDPRODUTO   ) AND
      (EP.CDESPEPROD   = CP.CDESPEPROD  ) AND
      (EP.IDTPMANUAL     IS NULL        ) AND
      (EP.IDCOMPPADRAO = 'P'            ) AND
      (EP.DTVALESPEPRO = (SELECT MAX(DTVALESPEPRO)
                          FROM ESPEPROD
                          WHERE (DTVALESPEPRO <= TRUNC(SYSDATE)) AND
                                (IDTPMANUAL      IS NULL       ) AND
                                (IDCOMPPADRAO  = 'P'           ) AND
                                (CDPRODUTO     = EP.CDPRODUTO  ) AND
                                (CDESPEPROD    = EP.CDESPEPROD ))) AND
      (TC.CDPRODUTO    = CP.CDPRODUTO   ) AND
      (TC.CDESPEPROD   = CP.CDESPEPROD  ) AND
      (TC.CDTIPOCOMP   = CP.CDTIPOCOMP  ) AND
      (TC.IDTCOMPPROC  = 'S'            ) AND
      (P1.CDPRODUTO    = CP.CDPRODUTO   ) AND
      (P1.IDPRODCOMISS = '3'            ) AND
      (P2.CDPRODUTO    = CP.CDPRODINSUMO) AND
      (P2.IDPRODCOMISS = '3'            )
/
